Запустите программное обеспечение armv6 на малине pi 2

Возможно ли установить и запустить программное обеспечение, предназначенное для малины pi 1 на моей малине pi 2? Я планирую установить это программное обеспечение вместе с arch Linux в ближайшее время, и я просто хотел бы узнать, можно ли его установить или нет. Программное обеспечение, которое меня интересует, это . Я был бы очень признателен, если бы кто-нибудь из вас мог помочь мне здесь. Также, если невозможно установить это программное обеспечение, есть ли подобные рекомендации, которые вы могли бы порекомендовать?

4 голоса | спросил Rumesh 3 Jpm1000000pmSun, 03 Jan 2016 19:02:37 +030016 2016, 19:02:37

1 ответ


7

Да, на самом деле все программное обеспечение от Raspbian, за исключением ядра, попадает в эту категорию (т. е. всю пользовательскую область). Он скомпилирован для ARMv6, поэтому он работает на всех моделях, поскольку ARMv7 имеет обратную совместимость.

Что касается того, соответствует ли это субоптимальной производительности на Pi 2, вам нужно будет проверить, чтобы узнать. Я верю, что в некоторых случаях это действительно так, но обычно это не так, если вы используете флаги, соответствующие BCM2835 (arm1176jzf-s и hard float ABI ). Если вы компилируете непосредственно на Raspbian, это будет по умолчанию.

ответил goldilocks 3 Jpm1000000pmSun, 03 Jan 2016 19:18:56 +030016 2016, 19:18:56

Похожие вопросы

Популярные теги

security × 330linux × 316macos × 2827 × 268performance × 244command-line × 241sql-server × 235joomla-3.x × 222java × 189c++ × 186windows × 180cisco × 168bash × 158c# × 142gmail × 139arduino-uno × 139javascript × 134ssh × 133seo × 132mysql × 132